Summary: Nagios Specific code for monitoring a WLCG Site
Name: grid-monitoring-fm-nagios-local
Version: 0.14.1
Release: 1%{?dist}
License: Apache 2
Group: Network/Monitoring
Source0: %{name}-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
Obsoletes: grid-monitoring-fm-nagios


%description

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
install --directory $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   CHANGES $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   README $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}
install   INSTALL $RPM_BUILD_ROOT%{_datadir}/doc/%{name}-%{version}

install --directory ${RPM_BUILD_ROOT}%{_bindir}
install   --mode=755 .%{_bindir}/nagios-run-check $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/nagios-run-check
%doc %{_datadir}/doc/%{name}-%{version}/CHANGES
%doc %{_datadir}/doc/%{name}-%{version}/INSTALL
%doc %{_datadir}/doc/%{name}-%{version}/README

%changelog
* Sat Jun 19 2010 Emir Imamagic <eimamagi@srce.hr> - 0.14.1-1
- nagios-run-check shows message in case of NRPE checks
  https://tomtools.cern.ch/jira/browse/SAM-23

* Wed Dec 16 2009 Emir Imamagic <eimamagi@srce.hr> - 0.13.1-1%{?dist}
- Removed check_wlcg since wlcg probe format is not used anymore.
- Migrated to Apache 2.0 license.

* Fri Mar 06 2009 Emir Imamagic <eimamagi@srce.hr> - 0.12.3-2%{?dist}
  Add %{?dist} tag
  nagios-run-check now returns code of check.
  Fixes: https://savannah.cern.ch/bugs/?46327
* Mon Mar 02 2009 Emir Imamagic <eimamagi@srce.hr> - 0.12.0-4
- Increased check_wlcg timeout by 20s
  Fixes: https://savannah.cern.ch/bugs/?47522

* Fri Jan 09 2009 James Casey <james.casey@cern.ch> - 0.11.3-1
- nagios-run-check : do 'su -l' since nagios actually passes environment to non-embedded checks
- nagios-run-check : Removed " characters around resources and arguments.
* Wed Dec 17 2008 James Casey <james.casey@cern.ch> - 0.11.2-1
-  <https://savannah.cern.ch/bugs/?42677 Summary: check_wlcg shoudn't check proxy validity
* Wed Oct 08 2008 James Casey <james.casey@cern.ch> - 0.11.1-1
- moved to perl-GridMon
- Removed DOS formatting.
- Moved directory /etc/nagios/globus to nagios-proxy-refresh.

* Fri Sep 19 2008 Emir Imamagic <eimamagi@srce.hr> - 0.11.0-4
- Moved directory /etc/nagios/globus to nagios-proxy-refresh.

* Tue Sep 16 2008 Emir Imamagic <eimamagi@srce.hr> - 0.11.0-3
- Modules are stored in /usr/lib/perl5/vendor_perl/5.8.5

* Mon Sep 15 2008 Emir Imamagic <eimamagi@srce.hr> 0.11.0-1
- Removed unused scripts: 
  /usr/lib/nagios/cgi/publisher.cgi
  /usr/lib/nagios/plugins/wlcg/aggregate-service-metrics
  /usr/lib/nagios/plugins/wlcg/eventhandlers/handle_service_check
- Moved Nagios under GridMon namespace.
- changed sgutils namespace.
- Changed directory hierarchy.

* Sun Sep 07 2008 James Casey <james.casey@cern.ch> - 0.10.3-1
- added dummy handle_service_check as placeholder so we don't get errors

* Mon Jun 6 2008 Emir Imamagic <eimamagi@srce.hr> - 0.10.2-1
- Removed dependencies on nagios, nagios-plugins and grid-monitoring-config-gen packages.
- Removed wlcg_resource.cfg file - this file is generated by NCG now.
- Removed proxy_passphrase file - MyProxy credential is now protected with 
  host certificate.
- Added nagios-run-check tool which enables users to execute manually check 
  for defined hostname/service.

* Fri Apr 25 2008 James Casey <james.casey@cern.ch> - 0.10.1-1
- changed wlcg_resource to have correct (extra) variables for the new NCG
- new dependancy on grid-monitoring-config-gen since the wlcg_resource
  doesn't work with the old rpm

* Tue Oct 09 2007 James Casey <james.casey@cern.ch> - 0.9.6-1
- Nagios module reads status_file, cfg_file and cfg_dir locations from
  /etc/nagios/nagios.cfg. Nagios module supports multiple config files and directories.
- Add initial support for OSG Probes
- Skip pending tests
- Updated the logic for handling debug and verbose.
- Added check so no errors if services exist with no service groups defined

* Wed Jul 25 2007 James Casey <james.casey@cern.ch> - 0.9.5-1
 - Now only generate passive checks if there are actually underlying metrics
 - Publish how many metrics were used to calculate this number
 - Added multiple aggregate metrics calculation. Rewrote 
   aggregate-service-metrics in perl to avoid dependency problems

* Fri Jul 13 2007 James Casey <james.casey@cern.ch> - 0.9.4-2
- Added dependancy on nagios-plugins
- Added Obsoletes: grid-monitoring-fm-nagios

* Fri Jul 13 2007 Emir Imamagic <eimamagi@srce.hr> - 0.9.4-0
- initial version with splitted local and remote

* Thu Jul 12 2007 Emir Imamagic <eimamagi@srce.hr> - 0.9.3-4
- removed modules sgutils.pm and certuils.pm

* Thu Jul 12 2007 Emir Imamagic <eimamagi@srce.hr> - 0.9.3-3
- removed refresh_proxy

* Mon Jun 25 2007 James Casey <James.Casey@cern.ch> - 0.9.3-2
- removed root user/group from install arguments

* Thu Jun 21 2007 James Casey <jamesc@lxadm03.cern.ch> - 0.9.3-1
- Added CHANGES file

* Wed Jun 13 2007 James Casey <jamesc@lxadm03.cern.ch> - 0.9-1
- updated to 0.9-1

* Fri Jun  8 2007 James Casey <jamesc@lxadm03.cern.ch> - 0.1-1
- Initial build.
